spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | List of all members
spot::state_shared_ptr_less_than Struct Reference
TωA (Transition-based ω-Automata) » Essential TωA types

Strict Weak Ordering for `shared_state` (shared_ptr<const state*>). More...

`#include <spot/twa/twa.hh>`

Collaboration diagram for spot::state_shared_ptr_less_than:

## Public Member Functions
bool | operator() (shared_state left, shared_state right) const

## Detailed Description

Strict Weak Ordering for `shared_state` (shared_ptr<const state*>).

This is meant to be used as a comparison functor for STL `map` whose key are of type `shared_state`.

For instance here is how one could declare a map of `shared_state`.

// Remember how many times each state has been visited.
std::map<shared_state, int, spot::state_shared_ptr_less_than> seen;

The documentation for this struct was generated from the following file:

- spot/twa/twa.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.